// ***************************
// Stockage des données en ROM
// ***************************
//Plan stockage
#define EEPROM_SIZE 256

void INIT_EEPROM(void) {
  if (!EEPROM.begin(EEPROM_SIZE)) {
    Serial.println("Failed to initialise EEPROM");
    Serial.println("Restarting...");
    Debug.println("Failed to initialise EEPROM");
    Debug.println("Restarting...");
    delay(10000);
    ESP.restart();
  }
}

unsigned long LectureCle() {
  return EEPROM.readULong(0);
}

void LectureSsidPasse() {
  ssid = EEPROM.readString(10);
  password = EEPROM.readString(110);
  RMSextIP = EEPROM.readULong(200);
}
void EcritureEnROM() {
  EEPROM.writeULong(0, Cle_ROM);
  EEPROM.writeString(10, ssid);
  EEPROM.writeString(110, password);
  EEPROM.writeULong(200, RMSextIP);
  EEPROM.commit();
}